Bug 663785 - KMail imaps protocol unexpectedly terminated
Summary: KMail imaps protocol unexpectedly terminated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepim
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: kde-4.6
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-16 20:34 UTC by Christopher Murtagh
Modified: 2011-04-01 18:22 UTC (History)
10 users (show)

Fixed In Version: kdevelop-php-1.2.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-01 18:22:52 UTC


Attachments (Terms of Use)

Description Christopher Murtagh 2010-12-16 20:34:55 UTC
Description of problem:

When using latest KMail Version 1.13.5, KDE 4.5.4 (and every version that I've tried under Fedora 14), I constantly get errors when checking mail, or clicking on mail folders. The Details in the bug window are not meaningful other than this:

Unexpected Program Termination 
The program on your computer which provides access to the imaps://webmail.ombu.ca protocol has unexpectedly terminated.
Details of the request:
URL: (unknown)
Date and time: Thursday, December 16, 2010 03:27 pm
Additional information: imaps://webmail.ombu.ca
Possible causes:
This is most likely to be caused by a bug in the program. Please consider submitting a full bug report as detailed below.

My server is a CentOS box running dovecot with SSL enabled. I have absolutely no problems with Fedora 13 and the same version of KMail on my primary desktop (same versions of KMail, both have updates-testing enabled).


Version-Release number of selected component (if applicable):

KMail Version 1.13.5
Using KDE Development Platform 4.5.4 (KDE 4.5.4)


How reproducible:

Very.

Steps to Reproduce:
1. Launch KMail
2. click on a folder with a large number of messages (read or otherwise).
3. There is no step 3!
  
Actual results:

Error message above. I can keep on clicking on 'Check Mail', it eventually clears through and displays my mail. I'll then have a bunch of messages in said inbox with an unknown date, unknown subject and unknown sender. Clicking on the individual messages changes the date, subject and sender to something real.

Expected results:

I expect this error not to appear.

Additional info:

This problem is only in Fedora 14, and is very repeatable for any SSL enabled (port 993) IMAP server that I've used. Fedora 13 doesn't have this problem at all.

Comment 1 Kamil Dudka 2010-12-17 11:16:35 UTC
I was facing the same problem, downgraded to kdepim-4.4.6-3.fc14.x86_64 and kdepim-libs-4.4.6-3.fc14.x86_64 and haven't seen the error message anymore since then.

Comment 2 Kamil Dudka 2010-12-17 11:37:26 UTC
Please ignore me, now I've just seen it again.

Comment 3 Kamil Dudka 2010-12-17 12:51:58 UTC
Anyway, a month ago it was working fine on my F-14 box.  Any idea where to look for the problem?

Comment 4 Rex Dieter 2010-12-17 15:41:30 UTC
Probably best to ask upstream, say on https://mail.kde.org/mailman/listinfo/kdepim-users or possibly http://bugs.kde.org/

Comment 5 Christopher Murtagh 2011-02-07 15:47:18 UTC
@Rex Dieter I'm now using your 4.6.0 packages on F14, and this problem seems to be completely gone there, *and* KMail seems to be way faster as well. So, I guess the question is, does 4.6.0 get rolled into F14? :)

BTW, thanks for the packages, they make F14 usable for me again.

Comment 6 Kamil Dudka 2011-02-07 17:32:01 UTC
I am probably out of context here.  Which packages actually?  If there is a way to get kmail working on F-14, I'd be much interested.  TIA

Comment 7 Christopher Murtagh 2011-02-07 17:41:43 UTC
@Kamil - http://rdieter.livejournal.com/18374.html

I'm using them right now, and so far, I haven't had any issues - plus it solves this problem with KMail.

Comment 8 Kamil Dudka 2011-03-01 09:01:39 UTC
Indeed.  The bug appears fixed in kde 4.6.0.  Thanks!

Comment 9 Fedora Update System 2011-03-18 12:45:45 UTC
PyKDE-3.16.6-7.fc14, PyQt-3.18.1-8.fc14, PyQt4-4.8.3-2.fc14, PyQwt-5.2.0-10.fc14, akonadi-1.5.1-1.fc14, attica-0.2.0-1.fc14, avogadro-1.0.1-11.fc14, calibre-0.7.38-3.fc14.2, digikam-1.9.0-1.fc14, kde-l10n-4.6.1-1.fc14, kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2, kde-plasma-yawp-0.3.6-1.fc14.2, kdeaccessibility-4.6.1-1.fc14, kdeadmin-4.6.1-1.fc14, kdeartwork-4.6.1-1.fc14, kdebase-4.6.1-3.fc14, kdebase-runtime-4.6.1-1.fc14, kdebase-workspace-4.6.1-2.fc14, kdebindings-4.6.1-1.fc14, kdeedu-4.6.1-2.fc14, kdegames-4.6.1-1.fc14, kdegraphics-4.6.1-1.fc14, kdelibs-4.6.1-4.fc14, kdemultimedia-4.6.1-1.fc14, kdenetwork-4.6.1-2.fc14, kdepim-4.4.10-2.fc14, kdepim-runtime-4.4.10-2.fc14, kdepimlibs-4.6.1-1.fc14, kdeplasma-addons-4.6.1-1.fc14, kdesdk-4.6.1-1.fc14, kdetoys-4.6.1-1.fc14, kdeutils-4.6.1-1.fc14, kdevelop-4.2.0-2.fc14, kdevplatform-1.2.0-3.fc14, kipi-plugins-1.9.0-1.fc14, koffice-2.3.3-1.fc14, konq-plugins-4.6.1-1.fc14, kphotoalbum-4.1.1-7.fc14, ktorrent-4.1.0-1.fc14, libktorrent-1.1.0-1.fc14, nepomukcontroller-0.2-4.fc14, oxygen-icon-theme-4.6.1-1.fc14, phonon-4.4.4-2.fc14, phonon-backend-gstreamer-4.4.4-2.fc14, phonon-backend-xine-4.4.4-3.fc14, polkit-kde-0.99.0-2.fc14, polkit-qt-0.99.0-2.fc14, qedje-0.4.0-8.fc14, qgis-1.6.0-3.fc14.1, qscintilla-2.4.6-2.fc14, qzion-0.4.0-10.fc14, shared-desktop-ontologies-0.6.0-1.fc14, sip-4.12.1-4.fc14, soprano-2.6.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/PyKDE-3.16.6-7.fc14,PyQt-3.18.1-8.fc14,PyQt4-4.8.3-2.fc14,PyQwt-5.2.0-10.fc14,akonadi-1.5.1-1.fc14,attica-0.2.0-1.fc14,avogadro-1.0.1-11.fc14,calibre-0.7.38-3.fc14.2,digikam-1.9.0-1.fc14,kde-l10n-4.6.1-1.fc14,kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2,kde-plasma-yawp-0.3.6-1.fc14.2,kdeaccessibility-4.6.1-1.fc14,kdeadmin-4.6.1-1.fc14,kdeartwork-4.6.1-1.fc14,kdebase-4.6.1-3.fc14,kdebase-runtime-4.6.1-1.fc14,kdebase-workspace-4.6.1-2.fc14,kdebindings-4.6.1-1.fc14,kdeedu-4.6.1-2.fc14,kdegames-4.6.1-1.fc14,kdegraphics-4.6.1-1.fc14,kdelibs-4.6.1-4.fc14,kdemultimedia-4.6.1-1.fc14,kdenetwork-4.6.1-2.fc14,kdepim-4.4.10-2.fc14,kdepim-runtime-4.4.10-2.fc14,kdepimlibs-4.6.1-1.fc14,kdeplasma-addons-4.6.1-1.fc14,kdesdk-4.6.1-1.fc14,kdetoys-4.6.1-1.fc14,kdeutils-4.6.1-1.fc14,kdevelop-4.2.0-2.fc14,kdevplatform-1.2.0-3.fc14,kipi-plugins-1.9.0-1.fc14,koffice-2.3.3-1.fc14,konq-plugins-4.6.1-1.fc14,kphotoalbum-4.1.1-7.fc14,ktorrent-4.1.0-1.fc14,libktorrent-1.1.0-1.fc14,nepomukcontroller-0.2-4.fc14,oxygen-icon-theme-4.6.1-1.fc14,phonon-4.4.4-2.fc14,phonon-backend-gstreamer-4.4.4-2.fc14,phonon-backend-xine-4.4.4-3.fc14,polkit-kde-0.99.0-2.fc14,polkit-qt-0.99.0-2.fc14,qedje-0.4.0-8.fc14,qgis-1.6.0-3.fc14.1,qscintilla-2.4.6-2.fc14,qzion-0.4.0-10.fc14,shared-desktop-ontologies-0.6.0-1.fc14,sip-4.12.1-4.fc14,soprano-2.6.0-2.fc14

Comment 10 Fedora Update System 2011-03-30 19:57:11 UTC
Package kdevelop-php-1.2.0-2.fc14, veusz-1.9-2.fc14.1, sems-1.3.1-4.fc14.1, calibre-0.7.38-5.fc14, kde-i18n-3.5.10-14.fc14, PyKDE-3.16.6-7.fc14, PyQt-3.18.1-8.fc14, PyQt4-4.8.3-2.fc14, PyQwt-5.2.0-10.fc14, akonadi-1.5.1-1.fc14, attica-0.2.0-1.fc14, avogadro-1.0.1-11.fc14, digikam-1.9.0-1.fc14, kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2, kde-plasma-yawp-0.3.6-1.fc14.2, kdeaccessibility-4.6.1-1.fc14, kdeadmin-4.6.1-1.fc14, kdeartwork-4.6.1-1.fc14, kdebase-4.6.1-3.fc14, kdebase-runtime-4.6.1-1.fc14, kdeedu-4.6.1-2.fc14, kdegames-4.6.1-1.fc14, kdegraphics-4.6.1-1.fc14, kdemultimedia-4.6.1-1.fc14, kdenetwork-4.6.1-2.fc14, kdepim-4.4.10-2.fc14, kdepim-runtime-4.4.10-2.fc14, kdepimlibs-4.6.1-1.fc14, kdeplasma-addons-4.6.1-1.fc14, kdesdk-4.6.1-1.fc14, kdetoys-4.6.1-1.fc14, kdevelop-4.2.0-2.fc14, kdevplatform-1.2.0-3.fc14, kipi-plugins-1.9.0-1.fc14, koffice-2.3.3-1.fc14, konq-plugins-4.6.1-1.fc14, kphotoalbum-4.1.1-7.fc14, ktorrent-4.1.0-1.fc14, libktorrent-1.1.0-1.fc14, nepomukcontroller-0.2-4.fc14, oxygen-icon-theme-4.6.1-1.fc14, phonon-4.4.4-2.fc14, phonon-backend-gstreamer-4.4.4-2.fc14, phonon-backend-xine-4.4.4-3.fc14, polkit-kde-0.99.0-2.fc14, polkit-qt-0.99.0-2.fc14, qedje-0.4.0-8.fc14, qgis-1.6.0-3.fc14.1, qscintilla-2.4.6-2.fc14, qzion-0.4.0-10.fc14, shared-desktop-ontologies-0.6.0-1.fc14, sip-4.12.1-4.fc14, soprano-2.6.0-2.fc14, kde-l10n-4.6.1-1.fc14.1, kdegames3-3.5.10-9.fc14, kdebase-workspace-4.6.1-5.fc14, kdebindings-4.6.1-2.fc14, kdelibs-4.6.1-5.fc14, kdeutils-4.6.1-2.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdevelop-php-1.2.0-2.fc14 veusz-1.9-2.fc14.1 sems-1.3.1-4.fc14.1 calibre-0.7.38-5.fc14 kde-i18n-3.5.10-14.fc14 PyKDE-3.16.6-7.fc14 PyQt-3.18.1-8.fc14 PyQt4-4.8.3-2.fc14 PyQwt-5.2.0-10.fc14 akonadi-1.5.1-1.fc14 attica-0.2.0-1.fc14 avogadro-1.0.1-11.fc14 digikam-1.9.0-1.fc14 kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2 kde-plasma-yawp-0.3.6-1.fc14.2 kdeaccessibility-4.6.1-1.fc14 kdeadmin-4.6.1-1.fc14 kdeartwork-4.6.1-1.fc14 kdebase-4.6.1-3.fc14 kdebase-runtime-4.6.1-1.fc14 kdeedu-4.6.1-2.fc14 kdegames-4.6.1-1.fc14 kdegraphics-4.6.1-1.fc14 kdemultimedia-4.6.1-1.fc14 kdenetwork-4.6.1-2.fc14 kdepim-4.4.10-2.fc14 kdepim-runtime-4.4.10-2.fc14 kdepimlibs-4.6.1-1.fc14 kdeplasma-addons-4.6.1-1.fc14 kdesdk-4.6.1-1.fc14 kdetoys-4.6.1-1.fc14 kdevelop-4.2.0-2.fc14 kdevplatform-1.2.0-3.fc14 kipi-plugins-1.9.0-1.fc14 koffice-2.3.3-1.fc14 konq-plugins-4.6.1-1.fc14 kphotoalbum-4.1.1-7.fc14 ktorrent-4.1.0-1.fc14 libktorrent-1.1.0-1.fc14 nepomukcontroller-0.2-4.fc14 oxygen-icon-theme-4.6.1-1.fc14 phonon-4.4.4-2.fc14 phonon-backend-gstreamer-4.4.4-2.fc14 phonon-backend-xine-4.4.4-3.fc14 polkit-kde-0.99.0-2.fc14 polkit-qt-0.99.0-2.fc14 qedje-0.4.0-8.fc14 qgis-1.6.0-3.fc14.1 qscintilla-2.4.6-2.fc14 qzion-0.4.0-10.fc14 shared-desktop-ontologies-0.6.0-1.fc14 sip-4.12.1-4.fc14 soprano-2.6.0-2.fc14 kde-l10n-4.6.1-1.fc14.1 kdegames3-3.5.10-9.fc14 kdebase-workspace-4.6.1-5.fc14 kdebindings-4.6.1-2.fc14 kdelibs-4.6.1-5.fc14 kdeutils-4.6.1-2.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kdevelop-php-1.2.0-2.fc14,veusz-1.9-2.fc14.1,sems-1.3.1-4.fc14.1,kde-l10n-4.6.1-1.fc14.1,kdegames3-3.5.10-9.fc14,kde-i18n-3.5.10-14.fc14,PyKDE-3.16.6-7.fc14,PyQt-3.18.1-8.fc14,PyQt4-4.8.3-2.fc14,PyQwt-5.2.0-10.fc14,akonadi-1.5.1-1.fc14,attica-0.2.0-1.fc14,avogadro-1.0.1-11.fc14,calibre-0.7.38-5.fc14,digikam-1.9.0-1.fc14,kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2,kde-plasma-yawp-0.3.6-1.fc14.2,kdeaccessibility-4.6.1-1.fc14,kdeadmin-4.6.1-1.fc14,kdeartwork-4.6.1-1.fc14,kdebase-4.6.1-3.fc14,kdebase-runtime-4.6.1-1.fc14,kdebase-workspace-4.6.1-5.fc14,kdebindings-4.6.1-2.fc14,kdeedu-4.6.1-2.fc14,kdegames-4.6.1-1.fc14,kdegraphics-4.6.1-1.fc14,kdelibs-4.6.1-5.fc14,kdemultimedia-4.6.1-1.fc14,kdenetwork-4.6.1-2.fc14,kdepim-4.4.10-2.fc14,kdepim-runtime-4.4.10-2.fc14,kdepimlibs-4.6.1-1.fc14,kdeplasma-addons-4.6.1-1.fc14,kdesdk-4.6.1-1.fc14,kdetoys-4.6.1-1.fc14,kdeutils-4.6.1-2.fc14,kdevelop-4.2.0-2.fc14,kdevplatform-1.2.0-3.fc14,kipi-plugins-1.9.0-1.fc14,koffice-2.3.3-1.fc14,konq-plugins-4.6.1-1.fc14,kphotoalbum-4.1.1-7.fc14,ktorrent-4.1.0-1.fc14,libktorrent-1.1.0-1.fc14,nepomukcontroller-0.2-4.fc14,oxygen-icon-theme-4.6.1-1.fc14,phonon-4.4.4-2.fc14,phonon-backend-gstreamer-4.4.4-2.fc14,phonon-backend-xine-4.4.4-3.fc14,polkit-kde-0.99.0-2.fc14,polkit-qt-0.99.0-2.fc14,qedje-0.4.0-8.fc14,qgis-1.6.0-3.fc14.1,qscintilla-2.4.6-2.fc14,qzion-0.4.0-10.fc14,shared-desktop-ontologies-0.6.0-1.fc14,sip-4.12.1-4.fc14,soprano-2.6.0-2.fc14
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-04-01 18:21:55 UTC
kdevelop-php-1.2.0-2.fc14, veusz-1.9-2.fc14.1, sems-1.3.1-4.fc14.1, calibre-0.7.38-5.fc14, kde-i18n-3.5.10-14.fc14, PyKDE-3.16.6-7.fc14, PyQt-3.18.1-8.fc14, PyQt4-4.8.3-2.fc14, PyQwt-5.2.0-10.fc14, akonadi-1.5.1-1.fc14, attica-0.2.0-1.fc14, avogadro-1.0.1-11.fc14, digikam-1.9.0-1.fc14, kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2, kde-plasma-yawp-0.3.6-1.fc14.2, kdeaccessibility-4.6.1-1.fc14, kdeadmin-4.6.1-1.fc14, kdeartwork-4.6.1-1.fc14, kdebase-4.6.1-3.fc14, kdebase-runtime-4.6.1-1.fc14, kdeedu-4.6.1-2.fc14, kdegames-4.6.1-1.fc14, kdegraphics-4.6.1-1.fc14, kdemultimedia-4.6.1-1.fc14, kdenetwork-4.6.1-2.fc14, kdepim-4.4.10-2.fc14, kdepim-runtime-4.4.10-2.fc14, kdepimlibs-4.6.1-1.fc14, kdeplasma-addons-4.6.1-1.fc14, kdesdk-4.6.1-1.fc14, kdetoys-4.6.1-1.fc14, kdevelop-4.2.0-2.fc14, kdevplatform-1.2.0-3.fc14, kipi-plugins-1.9.0-1.fc14, koffice-2.3.3-1.fc14, konq-plugins-4.6.1-1.fc14, kphotoalbum-4.1.1-7.fc14, ktorrent-4.1.0-1.fc14, libktorrent-1.1.0-1.fc14, nepomukcontroller-0.2-4.fc14, oxygen-icon-theme-4.6.1-1.fc14, phonon-4.4.4-2.fc14, phonon-backend-gstreamer-4.4.4-2.fc14, phonon-backend-xine-4.4.4-3.fc14, polkit-kde-0.99.0-2.fc14, polkit-qt-0.99.0-2.fc14, qedje-0.4.0-8.fc14, qgis-1.6.0-3.fc14.1, qscintilla-2.4.6-2.fc14, qzion-0.4.0-10.fc14, shared-desktop-ontologies-0.6.0-1.fc14, sip-4.12.1-4.fc14, soprano-2.6.0-2.fc14, kde-l10n-4.6.1-1.fc14.1, kdegames3-3.5.10-9.fc14, kdebase-workspace-4.6.1-5.fc14, kdebindings-4.6.1-2.fc14, kdelibs-4.6.1-5.fc14, kdeutils-4.6.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.